Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79013 - Lengthy advisory makes window taller than screen
Summary: Lengthy advisory makes window taller than screen
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
: 79702 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 16:03 UTC by Martin Flack
Modified: 2007-04-18 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-22 15:32:29 UTC


Attachments (Terms of Use)

Description Martin Flack 2002-12-04 16:03:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
A lengthy advisory (e.g. RHSA-2002:220-40) creates a very tall dialog when you
click View Advisory. Even on a 1024x768 display this can be taller than the
screen, so the top and bottom parts of the window are off-screen. Savvy users
will figure out how to use their window manager to reign in the dialog, but for
newbies the situation can be intimidating because the standard window controls
and the dismissmal button are unavailable to them.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run up2date (GUI).
2. Click on a KDE package affected by RHSA-2002:220-40.
3. Click View Advisory.
	

Actual Results:  The resulting dialog is very tall.

Expected Results:  Perhaps a scrollbox or something.

Additional info:

Comment 1 Stephen Rasku 2003-02-09 07:19:40 UTC
*** Bug 79702 has been marked as a duplicate of this bug. ***

Comment 2 John Thacker 2006-04-22 15:32:29 UTC
One of many "up2date doesn't use enough scrolling windows" bugs.  I believe this
one, like the others, has been fixed.

In any case, up2date is no longer shipped with Fedora Core; its functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.


Note You need to log in before you can comment on or make changes to this bug.